[z, p, k] = buttap(5)     % Returns zeros, poles, and gain 
[num, den]=zp2tf(z, p, k) % transforms zero/poles to polynomial TF
w= logspace(-1, 2);       
[mag, phase] = bode(num, den, w);
semilogx(w, mag), grid
xlabel('\omega, rad/s'), ylabel('Amplitude')
title('5^{th} order LP Butterworth Filter')

   
